.intro
  position: relative
  display: flex
  width: 900px
  max-width: 75%
  height: 100%
  flex-direction: column
  justify-content: center
  margin: 0 auto

  @media (max-width: 1180px)
    max-width: 100%

  &--image
    position: absolute
    width: 100%
    height: 100%
    background-size: cover

  &--banner
    position: relative
    height: 475px

    &::before
      content: ""
      position: absolute
      bottom: 20px
      left: -15px
      right: 0
      height: 2px
      background-color: $white

    &::after
      content: ""
      position: absolute
      bottom: 18px
      left: 0
      width: 30px
      height: 4px
      background-color: $highlight

    h1
      box-sizing: border-box
      position: relative
      font-size: 68px
      font-weight: 900
      text-transform: uppercase
      line-height: 1
      z-index: 1

    button
      position: relative
      padding: 7px 25px 7px 20px
      font-weight: 700
      background: $highlight
      background: -moz-linear-gradient(left, #db860a 0%, #ebe317 100%)
      background: -webkit-linear-gradient(left, #db860a 0%, #ebe317 100%)
      background: linear-gradient(to right, #db860a 0%, #ebe317 100%)
      filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#db860a', endColorstr='#ebe317',GradientType=1 )
      border: none
      border-radius: 32px

      &:focus
        outline: none

      svg
        position: relative
        left: 5px
        width: 15px
        fill: $white

    img
      position: absolute
      bottom: 21px
      right: -12px

  &--options
    display: flex
    justify-content: space-between
    margin: 0
    padding: 0
    list-style: none

    & > a
      max-width: 250px
      text-decoration: none
      color: $white
      transition: color .2s ease-in-out

      &:hover
        color: $white

    h3
      font-size: 16px
      text-transform: uppercase

    p
      margin-bottom: 0

@media (min-width: 900px)
  .intro

    &--banner

      h1
        max-width: 500px
      
      p
        max-width: 500px

@media (max-width: 900px)

  .intro

    &--banner
      height: 380px

      h1
        font-size: 55px

      img
        width: 430px

    &--options

      & > a
        margin-right: 30px

        &:last-child
          margin-right: 0

@media (max-width: 767px)

  .intro

    &--banner
      height: 305px

      h1
        font-size: 44px

      img
        width: 330px

    &--options
      display: block

      & > a
        display: block
        max-width: 100%
        margin: 0 0 30px 0

        &:last-child
          margin-bottom: 0

@media (max-width: 600px)

  .intro

    &--banner
      height: 360px

      h1
        font-size: 44px

      img
        display: none

@media (max-width: 600px) and (max-height: 750px)

  .intro

    &--banner
      height: auto

      &::before,
      &::after
        display: none

      h1
        margin-top: 0

    &--options
      display: none
